Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class Municipality

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.Municipality

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:49:32+01:00",
               comments="JAXB RI v2.2.11")
    public class Municipality

extends Object
implements Serializable

Code and description on municipality of HealthCare Actor.

Java class for MunicipalityType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MunicipalityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
             <element name="NSICode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Description" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Municipality()`

Method Summary
`List<Description>` | `getDescriptions()` Gets the value of the descriptions property.
`String` | `getNSICode()` Gets the value of the nsiCode property.
`BigInteger` | `getZipCode()` Gets the value of the zipCode property.
`void` | `setNSICode(String value)` Sets the value of the nsiCode property.
`void` | `setZipCode(BigInteger value)` Sets the value of the zipCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Municipality

    public Municipality()

Method Detail

### getZipCode

    public BigInteger getZipCode()

  Gets the value of the zipCode property.

  Returns:
    possible object is `BigInteger`

### setZipCode

    public void setZipCode(BigInteger value)

  Sets the value of the zipCode property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getNSICode

    public String getNSICode()

  Gets the value of the nsiCode property.

  Returns:
    possible object is `String`

### setNSICode

    public void setNSICode(String value)

  Sets the value of the nsiCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptions

    public List<Description> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `Description`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.